# XUnity Resource Redirector

This is Thunderstore version of [XUnity.ResourceRedirector](https://github.com/bbepis/XUnity.AutoTranslator) project.

The resource director allows you to modify resources loaded through the Resources and AssetBundle API as they are being loaded by the game.  
This mod works as a dependency for other mods. By itself, this package does nothing of interest.

**For developers:** Refer to original [README](https://github.com/bbepis/XUnity.AutoTranslator#implementing-a-resource-redirector) for its use.

## Installation (automated)

1. Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://h3vr.thunderstore.io/package/ebkr/r2modman/)
2. Click **Install with Mod Manager** button on top of the page
3. Run the game via the mod manager

## Installation (manual)

1. Install the required libraries
2. Extract the archive into a folder. **Do not extract into the game folder.**
3. Move the contents of `XUnity_ResourceRedirector` folder into `<Steam Location>\steamapps\common\H3VR`.
4. Run the game